Consultar conta bancária
curl --request GET \
--url https://api.uvvipay.com.br/v1/submerchants/{internalId}/bank-account \
--header 'client-id: <api-key>' \
--header 'client-secret: <api-key>'import requests
url = "https://api.uvvipay.com.br/v1/submerchants/{internalId}/bank-account"
headers = {
"client-secret": "<api-key>",
"client-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'client-secret': '<api-key>', 'client-id': '<api-key>'}
};
fetch('https://api.uvvipay.com.br/v1/submerchants/{internalId}/bank-account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bankingDataType": "bank_account",
"bankName": "banco do brasil",
"bankAgency": "1234",
"bankAccount": "56789",
"bankAccountDv": "0",
"bankAccountType": "conta_corrente",
"bankCode": "001",
"ispb": "00000000",
"pixType": "cpf",
"pixKey": "12345678900"
}Conta bancária
Consultar conta bancária
Retorna a conta bancária ou chave PIX cadastrada na subconta.
GET
/
v1
/
submerchants
/
{internalId}
/
bank-account
Consultar conta bancária
Retorna a conta bancária ou a chave PIX cadastrada na subconta.
Headers
Secret da credencial do merchant
ID público da credencial do merchant
Path Parameters
Identificador interno (UUID) da subconta
Response
Conta bancária retornada com sucesso
Tipo dos dados bancários
Available options:
bank_account, chave_pix Example:
"bank_account"
Nome do banco
Example:
"banco do brasil"
Agência bancária
Example:
"1234"
Número da conta bancária
Example:
"56789"
Dígito verificador da conta
Example:
"0"
Tipo da conta bancária
Available options:
conta_corrente, conta_poupanca Example:
"conta_corrente"
Código do banco (compe)
Example:
"001"
ISPB da instituição financeira
Example:
"00000000"
Tipo da chave PIX. Retornado exatamente como persistido, sem normalização.
Available options:
cpf, cnpj, email, phone, EVP Example:
"cpf"
Valor da chave PIX
Example:
"12345678900"

